INCLUDES = -I$(top_srcdir)/kmail -I$(top_srcdir)/mimelib $(all_includes)
AM_CPPFLAGS = -DTDESRCDIR=\"$(srcdir)\"
METASOURCES = AUTO

check_LTLIBRARIES = tdeunittest_storagelayermodule.la \
        tdeunittest_utilmodule.la \
        tdeunittest_mimelibmodule.la

tdeunittest_storagelayermodule_la_SOURCES = storagelayermodule.cpp messagedicttests.cpp ../kmdict.cpp
tdeunittest_storagelayermodule_la_LIBADD = -ltdeunittest
tdeunittest_utilmodule_la_SOURCES = utiltests.cpp ../util.cpp
tdeunittest_utilmodule_la_LIBADD = -ltdeunittest ../../mimelib/libmimelib.la
tdeunittest_mimelibmodule_la_SOURCES = mimelibtests.cpp ../util.cpp
tdeunittest_mimelibmodule_la_LIBADD = -ltdeunittest ../../mimelib/libmimelib.la

#LIBADD = -ltdeunittest
AM_LDFLAGS = -module $(KDE_CHECK_PLUGIN) $(all_libraries)

check-local:
	tdeunittestmodrunner

guicheck:
	tdeunittestguimodrunner
